import { defineComponent, openBlock, createElementBlock, normalizeClass, createElementVNode, renderSlot } from "vue";
import { UBaseButton } from "../base/index.js";
import { withTheme } from "../../theme/index.js";
import _export_sfc from "../../_virtual/plugin-vue_export-helper.js";
const _sfc_main = defineComponent({
  name: "Button",
  extends: UBaseButton,
  props: {
    callback: {
      type: Function,
      default: () => {
        return;
      },
      required: false
    },
    contactsPromise: Promise,
    size: {
      type: String,
      default: "medium"
    },
    disabled: {
      type: Boolean,
      default: false
    },
    type: {
      type: String,
      default: "default"
    },
    class: {
      type: String
    },
    appendIcon: {
      type: Boolean,
      default: false
    },
    prefixIcon: {
      type: Boolean,
      default: false
    }
  },
  setup(props) {
    const styles = withTheme("button");
    let classes = [styles.base];
    classes.push(styles.variants[props.type]);
    if (props.disabled) {
      classes.push(styles.disabled);
    }
    if (props.class) {
      classes.push(props.class);
    }
    console.log("styles", styles);
    console.log("props", props);
    console.log("classes", classes);
    return { classes };
  }
});
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("button", {
    class: normalizeClass(_ctx.classes)
  }, [
    createElementVNode("div", {
      class: normalizeClass(_ctx.prefixIcon ? "mr-2" : "")
    }, [
      renderSlot(_ctx.$slots, "prefix-icon")
    ], 2),
    renderSlot(_ctx.$slots, "default"),
    createElementVNode("div", {
      class: normalizeClass(_ctx.appendIcon ? "ml-2" : "")
    }, [
      renderSlot(_ctx.$slots, "append-icon")
    ], 2)
  ], 2);
}
var Button = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { Button as default };
//# sourceMappingURL=button.js.map
